Bug 493090 - R700 Radeon-based system doesn't boot with KMS working
R700 Radeon-based system doesn't boot with KMS working
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
11
All Linux
low Severity high
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-31 11:35 EDT by Alex Hudson (Fedora Address)
Modified: 2010-03-04 12:14 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-04 12:14:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages from an unsuccessful boot. (11.89 KB, application/x-gzip)
2009-03-31 11:35 EDT, Alex Hudson (Fedora Address)
no flags Details
dmesg from unsuccessful boot. (10.06 KB, application/x-gzip)
2009-03-31 11:36 EDT, Alex Hudson (Fedora Address)
no flags Details
/var/log/messages from an unsuccessful boot. (124.10 KB, text/plain)
2009-04-02 09:29 EDT, Alex Hudson (Fedora Address)
no flags Details
dmesg from unsuccessful boot. (34.80 KB, text/plain)
2009-04-02 09:30 EDT, Alex Hudson (Fedora Address)
no flags Details
dmesg from Fedora 12 alpha livecd (36.01 KB, text/plain)
2009-08-25 13:11 EDT, Alex Hudson (Fedora Address)
no flags Details

  None (edit)
Description Alex Hudson (Fedora Address) 2009-03-31 11:35:34 EDT
Created attachment 337322 [details]
/var/log/messages from an unsuccessful boot.

Description of problem:

Doing the "basic test" test case for Radeon test day. Booting up latest Rawhide doesn't give me a lovely logo on boot; just a growing text box.

Version-Release number of selected component (if applicable):

kernel-2.6.29-16.fc11.x86_64

How reproducible:

Every time

Additional info:

I'm attaching my /var/log/messages and dmesg output. dmesg doesn't have much of interest to my eyes; messages has drm whining a bit but seemingly a bit late in the process.

The card is:

01:00.0 VGA compatible controller [0300]: ATI Technologies Inc RV710 [Radeon HD 4550] [1002:9540]

And it's connected via DVI, in case that makes any difference.
Comment 1 Alex Hudson (Fedora Address) 2009-03-31 11:36:57 EDT
Created attachment 337323 [details]
dmesg from unsuccessful boot.
Comment 2 Alex Hudson (Fedora Address) 2009-03-31 11:52:57 EDT
Hm, hopefully this is also relevant. I tried booting to init 3 and reloading drm/radeon, and got this output in /var/log/messages:

Mar 31 16:47:45 localhost kernel: [drm] Initialized drm 1.1.0 20060810
Mar 31 16:47:54 localhost kernel: ATOM BIOS: RV710 DDR3 64BIT 89910OAB.SFA                                   ^M
Mar 31 16:47:54 localhost kernel:              <7>[drm:radeon_get_vram_type] RAM width 128 bits DDR
Mar 31 16:47:54 localhost kernel: [drm] Detected VRAM RAM=524288K, accessible=262144K, BAR=262144K
Mar 31 16:47:54 localhost kernel: mtrr: type mismatch for e0000000,10000000 old: write-back new: write-combining
Mar 31 16:47:54 localhost kernel: [drm:radeon_get_atom_connector_info_from_object_table] *ERROR* record type 1
Mar 31 16:47:54 localhost kernel: [drm:radeon_get_atom_connector_info_from_object_table] *ERROR* record type 4
Mar 31 16:47:54 localhost kernel: [drm:radeon_get_atom_connector_info_from_object_table] *ERROR* record type 1
Mar 31 16:47:54 localhost kernel: [drm:radeon_get_atom_connector_info_from_object_table] *ERROR* record type 2
Mar 31 16:47:54 localhost kernel: [drm:radeon_get_atom_connector_info_from_object_table] *ERROR* record type 4
Mar 31 16:47:54 localhost kernel: [drm:radeon_get_atom_connector_info_from_object_table] *ERROR* record type 1
Mar 31 16:47:54 localhost kernel: [drm:radeon_get_atom_connector_info_from_object_table] *ERROR* record type 2
Mar 31 16:47:54 localhost kernel: [drm:radeon_get_atom_connector_info_from_object_table] *ERROR* record type 4
Mar 31 16:47:54 localhost kernel: i2c-adapter i2c-1: unable to read EDID block.
Mar 31 16:47:55 localhost kernel: radeon 0000:01:00.0: VGA-1: no EDID data
Mar 31 16:47:55 localhost kernel: allocated ffff88010d522000 1680x1050 fb: 0x00040000, bo ffff88010e116420

My screen also went totally blank, which I guess isn't surprising given the EDID errors. Strangely, though, 1680x1050 is exactly the resolution of the connected LCD panel (re: the last line).
Comment 3 François Cami 2009-04-01 17:57:20 EDT
Alex,

Could you reattach those files as uncompressed text/plain files ?

Thanks in advance

---
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Alex Hudson (Fedora Address) 2009-04-02 09:29:21 EDT
Created attachment 337807 [details]
/var/log/messages from an unsuccessful boot.
Comment 5 Alex Hudson (Fedora Address) 2009-04-02 09:30:02 EDT
Created attachment 337808 [details]
dmesg from unsuccessful boot.
Comment 6 Alex Hudson (Fedora Address) 2009-04-02 09:30:31 EDT
I've regenerated these with the latest components; apologies, I won't compress them in the future.

Thanks!
Comment 7 François Cami 2009-04-02 16:16:12 EDT
Thank you Alex.

No apologies needed :)

If you have another box, could you boot the problematic one
into runlevel 3, then remotely via ssh :
rmmod radeon drm
modprobe drm debug=1
modprobe radeon modeset=1

This may enable us to get a full trace.


Note to Bugzappers : possible DUP of # 493332

---
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 8 Alex Hudson (Fedora Address) 2009-04-03 02:16:33 EDT
François - I did already try that; the additional output I got is in #c2 - not very much.

Is there somewhere else I should be looking for output?
Comment 9 François Cami 2009-04-03 15:07:56 EDT
No, it's OK.
Comment 10 Bug Zapper 2009-06-09 08:51:54 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Alex Hudson (Fedora Address) 2009-08-25 13:11:28 EDT
Created attachment 358608 [details]
dmesg from Fedora 12 alpha livecd

Having checked in Fedora 12 Alpha (11.91?) this bug is still present - still getting the text boot with progress bar.

However, I do get a warning message about radeon DRM not being loaded right at the start of the boot sequence. However, when I get to the desktop I see this:

$ lsmod | grep radeon
radeon                656272  0 
ttm                    41992  1 radeon
drm                   185248  2 radeon,ttm
i2c_algo_bit            6740  1 radeon
i2c_core               30752  4 i2c_i801,radeon,drm,i2c_algo_bit

From dmesg (I'll attach the full thing):

[drm] Initialized drm 1.1.0 20060810
[drm] radeon default to kernel modesetting.
[drm] radeon kernel modesetting enabled.
radeon 0000:01:00.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
radeon 0000:01:00.0: setting latency timer to 64
[drm] radeon: Initializing kernel modesetting.
[drm:radeon_driver_load_kms] *ERROR* Failed to initialize radeon, disabling IOCTL
radeon 0000:01:00.0: PCI INT A disabled
radeon: probe of 0000:01:00.0 failed with error -22

lspci shows:

01:00.0 VGA compatible controller: ATI Technologies Inc RV710 [Radeon HD 4550]
Comment 12 Chuck Ebbert 2009-08-25 16:52:57 EDT
R700 is not supported yet ... even R600 [HD3xxx] support is very experimental.
Comment 13 Matěj Cepl 2009-11-05 13:24:01 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 14 Matěj Cepl 2010-02-26 07:24:49 EST
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]
Comment 15 Eric Springer 2010-02-27 08:58:08 EST
I think it's pretty safe to close this bug. It has been fixed (for me at least) for many months now.
Comment 16 Matěj Cepl 2010-03-04 12:14:27 EST
Thank you for letting us know.

Note You need to log in before you can comment on or make changes to this bug.